Debian Bug report logs - #676154
rdtool: rd2 generates broken layouted manpages

version graph

Package: src:rdtool; Maintainer for src:rdtool is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Tue, 5 Jun 2012 05:42:01 UTC

Severity: normal

Found in version rdtool/0.6.34-3

Fixed in version rdtool/0.6.38-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#676154; Package src:rdtool. (Tue, 05 Jun 2012 05:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Tue, 05 Jun 2012 05:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rdtool: rd2 generates broken layouted manpages
Date: Tue, 05 Jun 2012 07:39:14 +0200
[Message part 1 (text/plain, inline)]
Source: rdtool
Version: 0.6.34-3
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi

This for example affects vim-addon-manager which was build with newer
rdtool's rd2. rd2 -r rd/rd2man-lib does not seem to correctly generate
the manpages, quoting sections with [".

Here is an example:

- ----cut---------cut---------cut---------cut---------cut---------cut-----
=begin

== NAME

foo - bar

== SYNOPSIS

for [options] <command> [arguments]

== DESCRIPTION

foo is a tool to do bar

=end
- ----cut---------cut---------cut---------cut---------cut---------cut-----

Running 

 $ rd2 -r rd/rd2man-lib -o foo foo

generates the attached manpage.

p.s.: not sure if should be assigned to ruby-rd binary package or if
      source package rdtool is ok (please reassign otherwise)

Regards,
Salvatore

- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPzZt9AAoJEHidbwV/2GP+owgP/jVfHyScJRhyc1541WvEHFH/
lRee61CVavj3mnFeFF8JL6w+fNIW7wJ2pYYNwyYZZMyB59CXhvdu5pAmDJ/UalPU
Rrzl9FUnFItKK9zvjTLo7S4ZGIjxNHNqdrR1Iqo+qk23bNSM9byFCM3phDEhPWfI
bF/wuMQxPjYTEoXsxZ3KWhDzQmpwCqxthc+yB/aXffhdeD/y+PoNcvSZkbfiGpjH
84zR94eXvkHByDib5JkT0XEmFzINXCF1m/gTn8i1qDQoyvzPzJC/bXwkP4v6thIa
v3qeSGPyTKB2mUmCKRZ3lGR6IGBiXRfSUwOPosRIT2s2vglLjOGbSnqwHPlXxHpU
S/Of2YThl69vQ8Dg2XWBLEF4LnwB9gDL0KVDovjuzTGk16QILJGoE+fyN+molvnQ
aYBcides1/Kd3Nrw9sk4NlbN7U5LWBWxsr+2QsC4UeJbDfZiSMzAGxJl6pVS6aDL
nyYuKkLG6P51OW4vLPGgmLpfvHNy7u41M4QVvx9HN7lRN4mjtDDRSdPz+3gX+NNh
uI/T+1dDW0H/RTfaYIs2H6/6K41BklKpUxRlJTjy16X77raExSL0ATGb8pudN+b2
/Lke/HruvlYVuv+ZLZDo5xhFcdEys4VmbwhGtXqay88hbDPs0l9qhy+jlTB5W/MF
SBp4hNdw4xgmZSMXMb3r
=Rjg6
-----END PGP SIGNATURE-----
[foo.1 (text/troff, attachment)]

Added indication that 676154 affects vim-addon-manager Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 05:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#676154; Package src:rdtool. (Mon, 11 Jun 2012 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Mon, 11 Jun 2012 16:15:44 GMT) Full text and rfc822 format available.

Message #12 received at 676154@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: 676154@bugs.debian.org
Cc: Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: [DRE-maint] Bug#676154: rdtool: rd2 generates broken layouted manpages
Date: Tue, 12 Jun 2012 01:11:57 +0900
Hi, 

I am an upstream maintainer of rdtool. 

At Tue, 05 Jun 2012 07:39:14 +0200,
Salvatore Bonaccorso <carnil@debian.org> wrote:
>
> This for example affects vim-addon-manager which was build with newer
> rdtool's rd2. rd2 -r rd/rd2man-lib does not seem to correctly generate
> the manpages, quoting sections with [".

Thanks for your report.  

I fixed it and release rdtool, v0.6.35. 

Dear Maintainer: 
  Please upgrade rdtool, ruby-rd for 0.6.35. 

Best Wishes,
Youhei

---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#676154; Package src:rdtool. (Sat, 23 Jun 2012 06:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Sat, 23 Jun 2012 06:48:07 GMT) Full text and rfc822 format available.

Message #17 received at 676154@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Youhei SASAKI <uwabami@gfd-dennou.org>, 676154@bugs.debian.org
Subject: Re: Bug#676154: [DRE-maint] Bug#676154: rdtool: rd2 generates broken layouted manpages
Date: Sat, 23 Jun 2012 08:44:04 +0200
[Message part 1 (text/plain, inline)]
Hi Ruby-Extra Maintainers!

On Tue, Jun 12, 2012 at 01:11:57AM +0900, Youhei SASAKI wrote:
> Hi, 
> 
> I am an upstream maintainer of rdtool. 
> 
> At Tue, 05 Jun 2012 07:39:14 +0200,
> Salvatore Bonaccorso <carnil@debian.org> wrote:
> >
> > This for example affects vim-addon-manager which was build with newer
> > rdtool's rd2. rd2 -r rd/rd2man-lib does not seem to correctly generate
> > the manpages, quoting sections with [".
> 
> Thanks for your report.  
> 
> I fixed it and release rdtool, v0.6.35. 
> 
> Dear Maintainer: 
>   Please upgrade rdtool, ruby-rd for 0.6.35. 

Upstream (Thanks Youhei!) fixed this with commit

https://github.com/uwabami/rdtool/commit/9ec03a3ca22c52f1021f1c1705e15b7fcb77edbe

(in case the new upstream version is not possible anymore, due that
the freeze for wheezy is now near -- 30. june).

Currently there are the following packages with reverse build-deps on
rdtool:

Reverse Build-depends in contrib:
---------------------------------

ruby-pgplot

Found a total of 1 reverse build-depend(s) for rdtool.

Reverse Build-depends in main:
------------------------------

rttool
vim-addon-manager
apt-listbugs
racc
ruby-bio
libwebapp-ruby
howm

Found a total of 7 reverse build-depend(s) for rdtool.

Reverse Build-depends in non-free:
----------------------------------

No reverse build-depends found for rdtool.

I have verified for now only vim-addon-manager that it has broken
layouted manpage. Not the others.

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Marked as fixed in versions rdtool/0.6.38-1. Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Thu, 23 Jan 2014 18:09:12 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Thu, 23 Jan 2014 18:09:16 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Thu, 23 Jan 2014 18:09:16 GMT) Full text and rfc822 format available.

Message #24 received at 676154-done@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 676154-done@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fixed upstream and newer version already in debian
Date: Thu, 23 Jan 2014 19:07:37 +0100
[Message part 1 (text/plain, inline)]
fixed 676154 0.6.38-1
thanks

Hi! 

Debian has now 0.6.38 which contains the fix. I am thus closing this
bug.

Cheers.

Cédric


[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Feb 2014 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:16:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.